Groups
The group object
Attributes
idstringrequiredpattern^[1-9][0-9]{0,18}$Opaque Polymorfa group ID. Keep it as a string.
namestringrequiredHuman-readable name for this resource.
descriptionstringrequiredHuman-readable description of this resource.
ownerIdstringrequiredIdentifier for the owner.
createdAtnumberrequiredUnix timestamp in seconds
participantsarray of objectrequiredParticipants associated with the group or conversation.
Show 6 child fields
{
"id": "string",
"name": "string",
"description": "string",
"ownerId": "string",
"createdAt": 0,
"participants": [
{
"id": "739182640518203",
"phoneNumber": "string",
"bsuid": "string",
"username": "string",
"isAdmin": true,
"isSuperAdmin": true
}
]
}Create group
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
namestringrequiredmin length1Human-readable name for this resource.
participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$Participants associated with the group or conversation.
Responses
200Group created
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"participants": [
"string"
]
}'{
"success": true,
"data": {
"id": "string",
"name": "string",
"description": "string",
"ownerId": "string",
"createdAt": 0,
"participants": [
{
"id": "739182640518203",
"isAdmin": true,
"isSuperAdmin": true
}
]
}
}List groups
- Base URL
https://api.polymorfa.com- Required permission
groups:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Group list
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataarray of objectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/groups" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"ownerId": "string",
"createdAt": 0,
"participants": [
{
"id": "739182640518203",
"isAdmin": true,
"isSuperAdmin": true
}
]
}
]
}Get group join info
- Base URL
https://api.polymorfa.com- Required permission
groups:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Query parameters
codestringrequiredmin length1Stable machine-readable code for this result.
Responses
200Join info
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/groups/join-info?code=<code>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "string",
"subject": "string",
"creatorId": "string",
"createdAt": 0,
"size": 0,
"participants": [
{
"id": "739182640518203",
"isAdmin": true,
"isSuperAdmin": true
}
]
}
}Get group capabilities
- Base URL
https://api.polymorfa.com- Required permission
groups:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Account-bound stored group capabilities. Unknown until successful number and group syncs for the linked account. Requires current group membership and the enrolled number-capabilities beta.
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 4 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
503The stored capability reader, identity resolution or command dispatch is temporarily unavailable.
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>/capabilities" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"status": "synced",
"syncedAt": "2026-09-22T12:00:00Z",
"checkedAt": "2026-09-22T12:00:00Z",
"capabilities": [
{
"key": "polls.endTime",
"kind": "feature",
"unit": null,
"value": true,
"source": "server"
}
]
}
}Get group
- Base URL
https://api.polymorfa.com- Required permission
groups:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Group details
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"id": "string",
"name": "string",
"description": "string",
"ownerId": "string",
"createdAt": 0,
"participants": [
{
"id": "739182640518203",
"isAdmin": true,
"isSuperAdmin": true
}
]
}
}Get group invite code
- Base URL
https://api.polymorfa.com- Required permission
groups:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Invite code
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>/invite-code" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"code": "string"
}
}Get group participants
- Base URL
https://api.polymorfa.com- Required permission
groups:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Participant list
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataarray of objectrequiredStructured data carried by this object.
Show 6 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>/participants" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": [
{
"id": "739182640518203",
"isAdmin": true,
"isSuperAdmin": true
}
]
}Join group
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
codestringrequiredmin length1Group invite code used to join the target group.
Responses
200Joined group
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/join" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"code": "string"
}'{
"success": true
}Leave group
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Left group
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/leave" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true
}Set group subject
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
valuestringrequiredValue assigned to this field.
Responses
200Subject updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/subject" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"value": "string"
}'{
"success": true
}Set group description
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
valuestringrequiredValue assigned to this field.
Responses
200Description updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/description" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"value": "string"
}'{
"success": true
}Add group participants
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$Participants associated with the group or conversation.
Responses
200Participants added
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/participants/add" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"participants": [
"string"
]
}'{
"success": true
}Remove group participants
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$Participants associated with the group or conversation.
Responses
200Participants removed
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/participants/remove" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"participants": [
"string"
]
}'{
"success": true
}Promote group admin
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$Participants associated with the group or conversation.
Responses
200Participants promoted
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/admin/promote" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"participants": [
"string"
]
}'{
"success": true
}Demote group admin
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$Participants associated with the group or conversation.
Responses
200Participants demoted
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/admin/demote" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"participants": [
"string"
]
}'{
"success": true
}Set group picture
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
urlstringURL associated with this resource.
base64stringBase64-encoded content with no data-URL prefix.
Responses
200Picture updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/picture" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"url": "string",
"base64": "string"
}'{
"success": true
}Set group info editing
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
adminsOnlybooleanrequiredWhether admins only.
Responses
200Group information permission updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/info-edit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"adminsOnly": true
}'{
"success": true
}Set group messaging
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
adminsOnlybooleanrequiredWhether admins only.
Responses
200Group messaging permission updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/messages" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"adminsOnly": true
}'{
"success": true
}Set group member add mode
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
modestringrequiredOperating mode selected for this feature.
Allowed valuesadmin_addall_member_add
Responses
200Group member-add mode updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/member-add" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"mode": "admin_add"
}'{
"success": true
}Set group join approval
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Body
requiredbooleanrequiredWhether required.
Responses
200Group join approval updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/join-approval" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"required": true
}'{
"success": true
}Revoke group invite code
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200New invite code
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 1 child field
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/invite-code/revoke" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"code": "string"
}
}Delete group
- Base URL
https://api.polymorfa.com- Required permission
groups:manage
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
idstringrequiredpattern^[1-9][0-9]{0,18}$Identifier for this resource.
Responses
200Left group
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/groups/<id>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true
}